count_data_fp <-"/mmfs1/gscratch/comdata/users/mjilg/mw-repo-lifecycles/commit_data/visualeditor/0210_ve_weekly_count_data.csv"
input_df <- read_csv(count_data_fp)

input_df$nonbot_commit_count <- input_df$commit_count - input_df$l10n_commit_count - input_df$jenkins_commit_count

input_df <- input_df |>
  filter(relative_week < 79)
library(scales)
library(ggplot2)

time_plot <- input_df |>
  ggplot(aes(x=relative_week, y=wikimedia_commit_count)) +
  labs(x="Weekly Offset", y="WMF Commit Count") +
  geom_smooth() +
  geom_vline(xintercept = 0)+
  theme_bw() +
  theme(legend.position = "top")
time_plot
